Class | Rack::Auth::AbstractRequest
In: | lib/action_controller/vendor/rack-1.0/rack/auth/abstract/request.rb
Parent: | Object

### Methods

new params parts provided? scheme

### Constants

AUTHORIZATION_KEYS | = | ['HTTP_AUTHORIZATION', 'X-HTTP_AUTHORIZATION', 'X_HTTP_AUTHORIZATION']

### Public Class methods

new(env)

### Public Instance methods

params()
parts()
provided?()
scheme()

[Validate]